SystemOrganization addCategory: #'DocumentClient-Production'!

Object subclass: #DocumentClient
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DocumentClient-Production'!

!DocumentClient methodsFor: 'interface' stamp: 'sw 3/17/2016 16:02'!
documentServer

	self error: 'Implement me'! !

!DocumentClient methodsFor: 'interface' stamp: 'sw 3/17/2016 16:05'!
retrieveUser: aUserId password: aPassword

	| userInfo |
	userInfo := self documentServer retrieveUser: aUserId password: aPassword.
	^User newFrom: userInfo! !

Object subclass: #User
	instanceVariableNames: 'userId permissions'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DocumentClient-Production'!

!User methodsFor: 'accessing' stamp: 'sw 3/17/2016 16:06'!
permissions

	^ permissions! !

!User methodsFor: 'accessing' stamp: 'sw 3/17/2016 16:06'!
permissions: anObject

	permissions := anObject! !

!User methodsFor: 'accessing' stamp: 'sw 3/17/2016 16:06'!
userId

	^ userId! !

!User methodsFor: 'accessing' stamp: 'sw 3/17/2016 16:06'!
userId: anObject

	userId := anObject! !

Model subclass: #SessionManager
	instanceVariableNames: 'user'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DocumentClient-Production'!

!SessionManager commentStamp: 'sw 3/16/2016 13:43' prior: 0!
A SessionManager is responsible for managing user sessions.
!

!SessionManager class methodsFor: 'login window specs' stamp: 'sw 3/16/2016 13:42'!
loginWindowSpec

	^PluggableWindowSpec new! !

!SessionManager class methodsFor: 'opening' stamp: 'sw 3/16/2016 13:47'!
openLoginWindow

	| window |
	window := ToolBuilder default build: self loginWindowSpec.
	window openInWorld! !

!SessionManager methodsFor: 'accessing' stamp: 'sw 3/16/2016 13:40'!
user

	^ user! !

!SessionManager methodsFor: 'accessing' stamp: 'sw 3/16/2016 13:40'!
user: anObject

	user := anObject! !
